Summary:	Generates (pseudo-)random passwords
Summary(pl.UTF-8):	Generowanie (pseudo-)losowych haseł
Name:		makepasswd
Version:	0.4.2
Release:	3
License:	GPL v2+
Group:		Applications/Text
Source0:	ftp://ftp.defora.org/pub/projects/makepasswd/%{name}-%{version}.tar.gz
# Source0-md5:	ef95058753742d25f070628166d84815
URL:		http://people.defora.org/~khorben/projects/makepasswd/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makepasswd generates (pseudo-)random passwords of a desired length. It
is able to generate its crypted equivalent.

%description -l pl.UTF-8
Makepasswd generuje (pseudo-)losowe hasła o żądanej długości. Potrafi
generować ich zaszyfrowane odpowiedniki.

%prep
%setup -q

%build
%{__make} \
	PREFIX=%{_prefix} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -ansi"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS README
%attr(755,root,root) %{_bindir}/*
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/makepasswd.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> defea04
- Release 3 (by relup.sh)

* Wed Nov 26 2008 Paweł Gołaszewski <blues@pld-linux.org> 033380d
- rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e8e477e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d19755
- converted to UTF-8

* Sat Apr 08 2006 darekr <darekr@pld-linux.org> 8d44074
- fix URL

* Wed Sep 29 2004 Paweł Gołaszewski <blues@pld-linux.org> ea78a70
- fixed URL

* Thu Jan 29 2004 eothane <eothane@pld-linux.org> 7d5cbff
- updated to 0.4.2

* Wed Jul 16 2003 Jakub Bogusz <qboosh@pld-linux.org> 24412ca
- pl fix, pass CC and CFLAGS

* Wed Jul 16 2003 Paweł Gołaszewski <blues@pld-linux.org> 822a81f
- very nice random password generator

